from parallels.core.utils.entity import Entity


class FtpUser(Entity):
    def __init__(self, ftp_user_id, domain_id, sys_user_id, permission):
        self._ftp_user_id = ftp_user_id
        self._domain_id = domain_id
        self._sys_user_id = sys_user_id
        self._permission = permission

    @property
    def ftp_user_id(self):
        """
        :rtype: str | unicode
        """
        return self._ftp_user_id

    @property
    def domain_id(self):
        """
        :rtype: str | unicode
        """
        return self._domain_id

    @property
    def sys_user_id(self):
        """
        :rtype: str | unicode
        """
        return self._sys_user_id

    @property
    def permission(self):
        """
        :rtype: str | unicode
        """
        return self._permission
